## wxGridCellChoiceEditor

The editor for string data allowing to choose from a list of strings.

Derived from

wxGridCellEditor

See also

wxGridCellEditor, wxGridCellFloatEditor, wxGridCellBoolEditor, wxGridCellTextEditor, wxGridCellNumberEditor

Members

wxGridCellChoiceEditor::wxGridCellChoiceEditor
wxGridCellChoiceEditor::SetParameters

### wxGridCellChoiceEditor::wxGridCellChoiceEditor

wxGridCellChoiceEditor(size_t count = 0, const wxString choices[] = NULL, bool allowOthers = false)

wxGridCellChoiceEditor(const wxArrayString& choices, bool allowOthers = false)

count

Number of strings from which the user can choose.

choices

An array of strings from which the user can choose.

allowOthers

If allowOthers if true, the user can type a string not in choices array.

### wxGridCellChoiceEditor::SetParameters

void SetParameters(const wxString& params)

Parameters string format is "item1[,item2[...,itemN]]"